/* > satlink.h */
/* Daniel F. Smith, 1994-6 */
#ifndef SATLINK_H
#define SATLINK_H

#include <sys/ioctl.h>
/* formatted ID structure from card ROM */
typedef struct {
	unsigned short companyid;
	unsigned char groupid;
	unsigned short userid;
	unsigned long serialno;
	} satlink_id;

#define SATLINK_MAJOR 60
/* Using magic code 's' for Satlink */
#define SATLINK_RESET           _IO ('s', 0)
#define SATLINK_ID              _IOR('s', 1, satlink_id)
#define SATLINK_BUFSIZE         _IOW('s', 2, int)

#endif

